<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="402c797f-444a-44a2-bf50-2d62433bbff3" name="Default Changelist" comment="" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FavoritesManager">
    <favorites_list name="meta-ecapa" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file leaf-file-name="README.md" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/README.md">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="481">
              <caret line="73" column="14" lean-forward="true" selection-start-line="73" selection-start-column="14" selection-end-line="73" selection-end-column="14" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="EER_full.py" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/EER_full.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="14">
              <caret line="141" column="13" lean-forward="false" selection-start-line="141" selection-start-column="13" selection-end-line="141" selection-end-column="13" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="str2bool.py" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/str2bool.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="0">
              <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="meta_generator_test.py" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/generator/meta_generator_test.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="265">
              <caret line="100" column="27" lean-forward="false" selection-start-line="100" selection-start-column="27" selection-end-line="100" selection-end-column="27" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="SR_Dataset.py" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/generator/SR_Dataset.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-105">
              <caret line="89" column="6" lean-forward="false" selection-start-line="89" selection-start-column="6" selection-end-line="89" selection-end-column="6" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="EER_EH.py" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/EER_EH.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-592">
              <caret line="14" column="56" lean-forward="false" selection-start-line="14" selection-start-column="56" selection-end-line="14" selection-end-column="56" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="train.py" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/train.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-3065">
              <caret line="113" column="26" lean-forward="false" selection-start-line="113" selection-start-column="26" selection-end-line="113" selection-end-column="26" />
              <folding>
                <element signature="e#0#9#0" expanded="true" />
                <element signature="e#7847#8205#0" expanded="false" />
                <element signature="e#8255#8885#0" expanded="false" />
                <element signature="e#8942#9128#0" expanded="false" />
                <element signature="e#9410#9856#0" expanded="false" />
                <marker date="1663943371906" expanded="true" signature="7250:7644" ph="..." />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="meta_generator.py" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/generator/meta_generator.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-179">
              <caret line="47" column="32" lean-forward="true" selection-start-line="47" selection-start-column="8" selection-end-line="47" selection-end-column="32" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="voxceleb_wav_reader.py" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/feat_extract/voxceleb_wav_reader.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-771">
              <caret line="4" column="18" lean-forward="false" selection-start-line="4" selection-start-column="18" selection-end-line="4" selection-end-column="18" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="DB_wav_reader.py" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/generator/DB_wav_reader.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-179">
              <caret line="19" column="4" lean-forward="false" selection-start-line="19" selection-start-column="4" selection-end-line="19" selection-end-column="4" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Python Script" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>cp_num</find>
      <find>n_shot</find>
      <find>test_length</find>
      <find>nb_episode</find>
      <find>nb_class_test</find>
      <find>concatenate</find>
      <find>download</find>
      <find>perform_verification</find>
      <find>GPU</find>
    </findStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/model/model_normalize.py" />
        <option value="$PROJECT_DIR$/lists/fileparts.txt" />
        <option value="$PROJECT_DIR$/feat_extract/constants.py" />
        <option value="$PROJECT_DIR$/feat_extract/ffmpeg-test.py" />
        <option value="$PROJECT_DIR$/dataprep.py" />
        <option value="$PROJECT_DIR$/generator/DB_wav_reader.py" />
        <option value="$PROJECT_DIR$/model/model.py" />
        <option value="$PROJECT_DIR$/losses/prototypical.py" />
        <option value="$PROJECT_DIR$/generator/meta_generator_test.py" />
        <option value="$PROJECT_DIR$/generator/SR_Dataset.py" />
        <option value="$PROJECT_DIR$/feat_extract/feature80_extraction.py" />
        <option value="$PROJECT_DIR$/losses/angleproto.py" />
        <option value="$PROJECT_DIR$/EER_short.py" />
        <option value="$PROJECT_DIR$/model/tdnn_no_res2net.py" />
        <option value="$PROJECT_DIR$/configure.py" />
        <option value="$PROJECT_DIR$/losses/softmax.py" />
        <option value="$PROJECT_DIR$/losses/proto.py" />
        <option value="$PROJECT_DIR$/EER_full.py" />
        <option value="$PROJECT_DIR$/model/ecapa_tdnn.py" />
        <option value="$PROJECT_DIR$/identification.py" />
        <option value="$PROJECT_DIR$/feat_extract/feature_extraction.py" />
        <option value="$PROJECT_DIR$/generator/meta_generator.py" />
        <option value="$PROJECT_DIR$/EER_EH.py" />
        <option value="$PROJECT_DIR$/train.py" />
        <option value="$PROJECT_DIR$/README.md" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="-9" />
    <option name="y" value="-9" />
    <option name="width" value="1938" />
    <option name="height" value="1048" />
  </component>
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1">
      <flattenPackages />
      <showMembers />
      <showModules />
      <showLibraryContents />
      <hideEmptyPackages />
      <abbreviatePackageNames />
      <autoscrollToSource />
      <autoscrollFromSource />
      <sortByType />
      <manualOrder />
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="meta-ecapa-master-peer" type="b2602c69:ProjectViewProjectNode" />
              <item name="meta-ecapa-master-peer" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="meta-ecapa-master-peer" type="b2602c69:ProjectViewProjectNode" />
              <item name="meta-ecapa-master-peer" type="462c0819:PsiDirectoryNode" />
              <item name="feat_extract" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="meta-ecapa-master-peer" type="b2602c69:ProjectViewProjectNode" />
              <item name="meta-ecapa-master-peer" type="462c0819:PsiDirectoryNode" />
              <item name="generator" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="meta-ecapa-master-peer" type="b2602c69:ProjectViewProjectNode" />
              <item name="meta-ecapa-master-peer" type="462c0819:PsiDirectoryNode" />
              <item name="losses" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="meta-ecapa-master-peer" type="b2602c69:ProjectViewProjectNode" />
              <item name="meta-ecapa-master-peer" type="462c0819:PsiDirectoryNode" />
              <item name="model" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scratches" />
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="settings.editor.selected.configurable" value="com.jetbrains.python.configuration.PyActiveSdkModuleConfigurable" />
    <property name="SearchEverywhereHistoryKey" value="print&#9;null&#9;null" />
  </component>
  <component name="PyConsoleOptionsProvider">
    <option name="myPythonConsoleState">
      <console-settings module-name="meta-SR" is-module-sdk="true">
        <option name="useSoftWraps" value="true" />
        <option name="myUseModuleSdk" value="true" />
        <option name="myModuleName" value="meta-SR" />
      </console-settings>
    </option>
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/lists" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Python.tdnn_no_res2net">
    <configuration name="dataprep" type="PythonConfigurationType" factoryName="Python" temporary="true">
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <module name="meta-SR" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/dataprep.py" />
      <option name="PARAMETERS" value="--save_path ./../VGG-Speaker-Recognition-m aster/datasets --convert" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
    </configuration>
    <configuration name="ecapa_tdnn" type="PythonConfigurationType" factoryName="Python" temporary="true">
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/model" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <module name="meta-SR" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/model/ecapa_tdnn.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
    </configuration>
    <configuration name="feature_extraction" type="PythonConfigurationType" factoryName="Python" temporary="true">
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/feat_extract" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <module name="meta-SR" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/feat_extract/feature_extraction.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
    </configuration>
    <configuration name="tdnn_no_res2net" type="PythonConfigurationType" factoryName="Python" temporary="true">
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/model" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <module name="meta-SR" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/model/tdnn_no_res2net.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
    </configuration>
    <configuration name="train" type="PythonConfigurationType" factoryName="Python" temporary="true">
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <module name="meta-SR" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/train.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
    </configuration>
    <list size="5">
      <item index="0" class="java.lang.String" itemvalue="Python.train" />
      <item index="1" class="java.lang.String" itemvalue="Python.feature_extraction" />
      <item index="2" class="java.lang.String" itemvalue="Python.dataprep" />
      <item index="3" class="java.lang.String" itemvalue="Python.ecapa_tdnn" />
      <item index="4" class="java.lang.String" itemvalue="Python.tdnn_no_res2net" />
    </list>
    <recent_temporary>
      <list size="5">
        <item index="0" class="java.lang.String" itemvalue="Python.tdnn_no_res2net" />
        <item index="1" class="java.lang.String" itemvalue="Python.ecapa_tdnn" />
        <item index="2" class="java.lang.String" itemvalue="Python.dataprep" />
        <item index="3" class="java.lang.String" itemvalue="Python.feature_extraction" />
        <item index="4" class="java.lang.String" itemvalue="Python.train" />
      </list>
    </recent_temporary>
  </component>
  <component name="ShelveChangesManager" show_recycled="false">
    <option name="remove_strategy" value="false" />
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="402c797f-444a-44a2-bf50-2d62433bbff3" name="Default Changelist" comment="" />
      <created>1598592714145</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1598592714145</updated>
    </task>
    <servers />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="-9" y="-9" width="1938" height="1048" extended-state="6" />
    <layout>
      <window_info id="Project" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.20922747" sideWeight="0.49405771" order="0" side_tool="false" content_ui="combo" />
      <window_info id="TODO" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="FLOATING" visible="false" show_stripe_button="true" weight="0.32915717" sideWeight="0.4967811" order="4" side_tool="false" content_ui="tabs" x="28" y="203" width="1864" height="289" />
      <window_info id="Event Log" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32915717" sideWeight="0.5032189" order="6" side_tool="true" content_ui="tabs" />
      <window_info id="Run" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.30089486" sideWeight="0.49790576" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Version Control" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32801822" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Python Console" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.24943052" sideWeight="0.5" order="8" side_tool="false" content_ui="tabs" />
      <window_info id="Structure" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Terminal" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.10820045" sideWeight="0.5" order="9" side_tool="false" content_ui="tabs" />
      <window_info id="Debug" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Favorites" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.1335837" sideWeight="0.5059423" order="2" side_tool="true" content_ui="tabs" />
      <window_info id="Data View" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Cvs" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Message" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Commander" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Inspection" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="5" side_tool="false" content_ui="tabs" />
      <window_info id="Hierarchy" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="2" side_tool="false" content_ui="combo" />
      <window_info id="Find" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Ant Build" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
    </layout>
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <option name="time" value="6" />
    </breakpoint-manager>
    <watches-manager>
      <configuration name="PythonConfigurationType">
        <watch expression="fname.split('/')[-1]" language="Python" />
        <watch expression="save_path" language="Python" />
        <watch expression="c.TEST_AUDIO_VOX1" language="Python" />
        <watch expression="self.nb_samples_per_class" language="Python" />
        <watch expression="self.nb_classes" language="Python" />
      </configuration>
    </watches-manager>
  </component>
  <component name="debuggerHistoryManager">
    <expressions id="watch">
      <expression>
        <expression-string>self.nb_classes</expression-string>
        <language-id>Python</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>self.nb_samples_per_class</expression-string>
        <language-id>Python</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>c.TEST_AUDIO_VOX1</expression-string>
        <language-id>Python</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>save_path</expression-string>
        <language-id>Python</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>fname.split('/')[-1]</expression-string>
        <language-id>Python</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
    </expressions>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/train.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2604">
          <caret line="80" column="22" lean-forward="false" selection-start-line="80" selection-start-column="22" selection-end-line="80" selection-end-column="22" />
          <folding>
            <element signature="e#0#9#0" expanded="true" />
            <element signature="e#7847#8205#0" expanded="false" />
            <element signature="e#8255#8885#0" expanded="false" />
            <element signature="e#8942#9128#0" expanded="false" />
            <element signature="e#9410#9856#0" expanded="false" />
            <marker date="1663943371906" expanded="true" signature="7250:7644" ph="..." />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/losses/prototypical.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="966">
          <caret line="25" column="26" lean-forward="true" selection-start-line="25" selection-start-column="26" selection-end-line="25" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/EER_full.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1092">
          <caret line="40" column="0" lean-forward="false" selection-start-line="40" selection-start-column="0" selection-end-line="40" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/model/model.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="210">
          <caret line="12" column="32" lean-forward="false" selection-start-line="12" selection-start-column="32" selection-end-line="12" selection-end-column="32" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/EER_short.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="756">
          <caret line="24" column="14" lean-forward="false" selection-start-line="24" selection-start-column="14" selection-end-line="24" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/configure.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="378">
          <caret line="9" column="0" lean-forward="false" selection-start-line="9" selection-start-column="0" selection-end-line="9" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/feat_extract/feature_extraction.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3696">
          <caret line="88" column="43" lean-forward="false" selection-start-line="88" selection-start-column="43" selection-end-line="88" selection-end-column="43" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/generator/meta_generator_test.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3318">
          <caret line="86" column="72" lean-forward="false" selection-start-line="86" selection-start-column="72" selection-end-line="86" selection-end-column="72" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/identification.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2814">
          <caret line="67" column="35" lean-forward="false" selection-start-line="67" selection-start-column="35" selection-end-line="67" selection-end-column="35" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/losses/softmax.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="546">
          <caret line="15" column="45" lean-forward="false" selection-start-line="15" selection-start-column="44" selection-end-line="15" selection-end-column="45" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lists/fileparts2.txt" />
    <entry file="file://$PROJECT_DIR$/lists/fileparts.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="286">
          <caret line="13" column="0" lean-forward="false" selection-start-line="13" selection-start-column="0" selection-end-line="13" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/overview.png">
      <provider selected="true" editor-type-id="images">
        <state />
      </provider>
    </entry>
    <entry file="file://D:/Anaconda3/envs/pytorch/Lib/zipfile.py" />
    <entry file="file://D:/3DCNNpaper/ECAPA-TDNN-master/ecapa_tdnn.py" />
    <entry file="file://D:/Anaconda3/envs/pytorch/Lib/site-packages/torch/nn/functional.py" />
    <entry file="file://D:/Anaconda3/envs/pytorch/Lib/site-packages/pandas/__init__.py" />
    <entry file="file://D:/Anaconda3/envs/pytorch/Lib/site-packages/scipy/io/wavfile.py" />
    <entry file="file://D:/Anaconda3/envs/pytorch/Lib/site-packages/librosa/core/audio.py" />
    <entry file="file://$PROJECT_DIR$/dataprep.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3999">
          <caret line="145" column="33" lean-forward="false" selection-start-line="145" selection-start-column="33" selection-end-line="145" selection-end-column="33" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../../software/anaconda3/envs/pytorch/Lib/pickle.py" />
    <entry file="file://$PROJECT_DIR$/../../software/anaconda3/envs/pytorch/Lib/site-packages/torch/autograd/variable.py" />
    <entry file="file://$PROJECT_DIR$/../../software/anaconda3/envs/pytorch/Lib/site-packages/numpy/testing/print_coercion_tables.py" />
    <entry file="file://$PROJECT_DIR$/losses/angleproto.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="160">
          <caret line="38" column="4" lean-forward="true" selection-start-line="38" selection-start-column="4" selection-end-line="38" selection-end-column="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/model/resnet_256.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="222">
          <caret line="8" column="41" lean-forward="false" selection-start-line="8" selection-start-column="41" selection-end-line="9" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/model/model.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="111">
          <caret line="10" column="8" lean-forward="false" selection-start-line="10" selection-start-column="8" selection-end-line="10" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/model/tdnn_no_res2net.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="431">
          <caret line="145" column="45" lean-forward="false" selection-start-line="145" selection-start-column="45" selection-end-line="145" selection-end-column="45" />
        </state>
      </provider>
    </entry>
    <entry file="file://D:/Anaconda3/envs/pytorch/Lib/site-packages/torch/nn/modules/dropout.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="740">
          <caret line="23" column="6" lean-forward="false" selection-start-line="23" selection-start-column="6" selection-end-line="23" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$USER_HOME$/.PyCharmCE2017.2/system/python_stubs/-1348116891/torch/_C/_TensorBase.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="278">
          <caret line="882" column="8" lean-forward="false" selection-start-line="882" selection-start-column="8" selection-end-line="882" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/losses/proto.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="962">
          <caret line="29" column="27" lean-forward="false" selection-start-line="29" selection-start-column="27" selection-end-line="29" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/configure.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="333">
          <caret line="9" column="0" lean-forward="false" selection-start-line="9" selection-start-column="0" selection-end-line="9" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/losses/softmax.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="222">
          <caret line="8" column="42" lean-forward="false" selection-start-line="8" selection-start-column="42" selection-end-line="8" selection-end-column="42" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/model/ecapa_tdnn.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3774">
          <caret line="105" column="0" lean-forward="false" selection-start-line="105" selection-start-column="0" selection-end-line="105" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://D:/Anaconda3/envs/pytorch/Lib/site-packages/sklearn/metrics/_ranking.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="24864">
          <caret line="690" column="4" lean-forward="false" selection-start-line="690" selection-start-column="4" selection-end-line="690" selection-end-column="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/losses/prototypical.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1221">
          <caret line="33" column="59" lean-forward="false" selection-start-line="33" selection-start-column="59" selection-end-line="33" selection-end-column="59" />
          <folding>
            <element signature="e#0#12#0" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/EER_short.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3700">
          <caret line="106" column="0" lean-forward="false" selection-start-line="106" selection-start-column="0" selection-end-line="106" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/identification.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2886">
          <caret line="100" column="80" lean-forward="false" selection-start-line="100" selection-start-column="80" selection-end-line="100" selection-end-column="80" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/feat_extract/feature_extraction.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="487">
          <caret line="126" column="66" lean-forward="true" selection-start-line="125" selection-start-column="3" selection-end-line="126" selection-end-column="66" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/feat_extract/feature80_extraction.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-4064">
          <caret line="4" column="45" lean-forward="false" selection-start-line="4" selection-start-column="35" selection-end-line="4" selection-end-column="45" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/feat_extract/constants.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="148">
          <caret line="4" column="57" lean-forward="false" selection-start-line="4" selection-start-column="57" selection-end-line="4" selection-end-column="57" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/feat_extract/ffmpeg-test.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1295">
          <caret line="7" column="13" lean-forward="true" selection-start-line="7" selection-start-column="13" selection-end-line="7" selection-end-column="13" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/feat_extract/voxceleb_wav_reader.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-771">
          <caret line="4" column="18" lean-forward="false" selection-start-line="4" selection-start-column="18" selection-end-line="4" selection-end-column="18" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/generator/DB_wav_reader.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-179">
          <caret line="19" column="4" lean-forward="false" selection-start-line="19" selection-start-column="4" selection-end-line="19" selection-end-column="4" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/generator/meta_generator.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-179">
          <caret line="47" column="32" lean-forward="true" selection-start-line="47" selection-start-column="8" selection-end-line="47" selection-end-column="32" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/generator/meta_generator_test.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="265">
          <caret line="100" column="27" lean-forward="false" selection-start-line="100" selection-start-column="27" selection-end-line="100" selection-end-column="27" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/generator/SR_Dataset.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-105">
          <caret line="89" column="6" lean-forward="false" selection-start-line="89" selection-start-column="6" selection-end-line="89" selection-end-column="6" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/EER_EH.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-592">
          <caret line="14" column="56" lean-forward="false" selection-start-line="14" selection-start-column="56" selection-end-line="14" selection-end-column="56" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/EER_full.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="14">
          <caret line="141" column="13" lean-forward="false" selection-start-line="141" selection-start-column="13" selection-end-line="141" selection-end-column="13" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/str2bool.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/train.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-3065">
          <caret line="113" column="26" lean-forward="false" selection-start-line="113" selection-start-column="26" selection-end-line="113" selection-end-column="26" />
          <folding>
            <element signature="e#0#9#0" expanded="true" />
            <element signature="e#7847#8205#0" expanded="false" />
            <element signature="e#8255#8885#0" expanded="false" />
            <element signature="e#8942#9128#0" expanded="false" />
            <element signature="e#9410#9856#0" expanded="false" />
            <marker date="1663943371906" expanded="true" signature="7250:7644" ph="..." />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/README.md">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="481">
          <caret line="73" column="14" lean-forward="true" selection-start-line="73" selection-start-column="14" selection-end-line="73" selection-end-column="14" />
          <folding />
        </state>
      </provider>
    </entry>
  </component>
</project>